﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Win32;

namespace $safeprojectname$.Panels
{
    /// <summary>
    /// Interaction logic for MainControl.xaml
    /// </summary>
    public partial class MainControl : UserControl
    {
        public BCS.Sym3.ISym3BaseEditor Editor { get; private set; }


        public MainControl()
        {
            InitializeComponent();
        }

        public void SetEditor(BCS.Sym3.ISym3BaseEditor editor)
        {
            if (editor == null) return;
            Editor = editor;

            Editor.PropertyChanged += Editor_PropertyChanged;
        }

        private void Editor_PropertyChanged(object sender, System.ComponentModel.PropertyChangedEventArgs e)
        {
            if (e.PropertyName == "Project")
            {
                if (Editor.Project != null)
                {
                    this.IsEnabled = true;
                }
                else
                {
                    this.IsEnabled = false;
                }
            }
        }

        private void Button1_Click(object sender, RoutedEventArgs e)
        {
           
        }

        private void Button2_Click(object sender, RoutedEventArgs e)
        {
          
        }

        private void Button3_Click(object sender, RoutedEventArgs e)
        {
           
        }

        private void Button4_Click(object sender, RoutedEventArgs e)
        {
            
        }
    }
}
